Bug 189975

Summary: Remove StorageProcess
Product: WebKit Reporter: Sihui Liu <sihui_liu>
Component: New BugsAssignee: Sihui Liu <sihui_liu>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, ews-watchlist, ggaren, glenn, mitz, rniwa, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Archive of layout-test-results from ews105 for mac-sierra-wk2
none
Archive of layout-test-results from ews121 for ios-simulator-wk2
none
Patch
none
Patch none

Description Sihui Liu 2018-09-25 14:38:35 PDT
Functionality of storage process is moved to network process. The next step is to remove storage process code that does not function any more.
Comment 1 Sihui Liu 2018-09-28 14:05:19 PDT
Created attachment 351106 [details]
Patch
Comment 2 EWS Watchlist 2018-09-28 15:27:50 PDT
Comment on attachment 351106 [details]
Patch

Attachment 351106 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/9385773

New failing tests:
http/wpt/service-workers/persistent-importScripts.html
Comment 3 EWS Watchlist 2018-09-28 15:27:52 PDT
Created attachment 351120 [details]
Archive of layout-test-results from ews105 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 4 EWS Watchlist 2018-09-28 16:19:15 PDT
Comment on attachment 351106 [details]
Patch

Attachment 351106 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/9386012

New failing tests:
http/wpt/service-workers/persistent-importScripts.html
Comment 5 EWS Watchlist 2018-09-28 16:19:17 PDT
Created attachment 351136 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 6 Sihui Liu 2018-09-28 16:54:26 PDT
Created attachment 351142 [details]
Patch
Comment 7 Geoffrey Garen 2018-09-29 08:50:29 PDT
Comment on attachment 351142 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=351142&action=review

Patch looks good.

Please fix this EWS failure:

In file included from /home/ews/gtk-wk2-ews/WebKit/WebKitBuild/Release/DerivedSources/WebKit/unified-sources/UnifiedSource24.cpp:1:0:
../../Source/WebKit/StorageProcess/glib/StorageProcessMainGLib.cpp:30:28: fatal error: StorageProcess.h: No such file or directory
 #include "StorageProcess.h"

> Tools/Scripts/webkitpy/benchmark_runner/benchmark_runner.py:102
> +                time.sleep(5)

Was this change intentional? If so, you should explain its rationale in the ChangeLog.
Comment 8 mitz 2018-09-29 14:23:02 PDT
Comment on attachment 351142 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=351142&action=review

> Source/WebKit/WebKit.xcodeproj/project.pbxproj:4772
>  				4188C157211378520012ABCD /* Storage-OSX-sandbox.entitlements */,

Is this file still needed or can it be deleted and the reference removed from the project?

What gives the networking process the entitlement previously given to the storage process, if it’s needed?
Comment 9 mitz 2018-09-29 14:24:57 PDT
(In reply to mitz from comment #8)
> Comment on attachment 351142 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=351142&action=review
> 
> > Source/WebKit/WebKit.xcodeproj/project.pbxproj:4772
> >  				4188C157211378520012ABCD /* Storage-OSX-sandbox.entitlements */,
> 
> Is this file still needed or can it be deleted and the reference removed
> from the project?
> 
> What gives the networking process the entitlement previously given to the
> storage process, if it’s needed?

I am guessing the answer to the second question is that it’s not needed, because it’s for the sandbox cache, and the Networking process has its own cache with its own entitlement for it.
Comment 10 Sihui Liu 2018-10-01 09:14:49 PDT
(In reply to Geoffrey Garen from comment #7)
> Comment on attachment 351142 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=351142&action=review
> 
> Patch looks good.
> 
> Please fix this EWS failure:
> 
> In file included from
> /home/ews/gtk-wk2-ews/WebKit/WebKitBuild/Release/DerivedSources/WebKit/
> unified-sources/UnifiedSource24.cpp:1:0:
> ../../Source/WebKit/StorageProcess/glib/StorageProcessMainGLib.cpp:30:28:
> fatal error: StorageProcess.h: No such file or directory
>  #include "StorageProcess.h"
> 
> > Tools/Scripts/webkitpy/benchmark_runner/benchmark_runner.py:102
> > +                time.sleep(5)
> 
> Was this change intentional? If so, you should explain its rationale in the
> ChangeLog.

No. Just for some test and forgot to remove. Will fix.
Comment 11 Sihui Liu 2018-10-01 09:15:46 PDT
(In reply to mitz from comment #9)
> (In reply to mitz from comment #8)
> > Comment on attachment 351142 [details]
> > Patch
> > 
> > View in context:
> > https://bugs.webkit.org/attachment.cgi?id=351142&action=review
> > 
> > > Source/WebKit/WebKit.xcodeproj/project.pbxproj:4772
> > >  				4188C157211378520012ABCD /* Storage-OSX-sandbox.entitlements */,
> > 
> > Is this file still needed or can it be deleted and the reference removed
> > from the project?
> > 
> > What gives the networking process the entitlement previously given to the
> > storage process, if it’s needed?
> 
> I am guessing the answer to the second question is that it’s not needed,
> because it’s for the sandbox cache, and the Networking process has its own
> cache with its own entitlement for it.

Yes. The file should be removed from the project.
Comment 12 Sihui Liu 2018-10-01 09:37:44 PDT
Created attachment 351252 [details]
Patch
Comment 13 Geoffrey Garen 2018-10-01 09:40:01 PDT
Comment on attachment 351252 [details]
Patch

r=me
Comment 14 WebKit Commit Bot 2018-10-01 13:44:15 PDT
Comment on attachment 351252 [details]
Patch

Clearing flags on attachment: 351252

Committed r236690: <https://trac.webkit.org/changeset/236690>
Comment 15 WebKit Commit Bot 2018-10-01 13:44:17 PDT
All reviewed patches have been landed.  Closing bug.
Comment 16 Radar WebKit Bug Importer 2018-10-01 13:45:35 PDT
<rdar://problem/44919627>